﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace Annotation_ZIndex
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }
    }

    public class Model
    {
        public double XValue { get; set; }
        public double YValue { get; set; }
    }

    public class ViewModel
    {
        public ObservableCollection<Model> Collection { get; set; }

        public ViewModel()
        {
            Collection = new ObservableCollection<Model>();
            Collection.Add(new Model() { XValue = 1, YValue = 18 });
            Collection.Add(new Model() { XValue = 2, YValue = 36 });
            Collection.Add(new Model() { XValue = 3, YValue = 20 });
            Collection.Add(new Model() { XValue = 4, YValue = 42 });
            Collection.Add(new Model() { XValue = 5, YValue = 24 });
        }
    }

    public class SfChartExt: SfChart
    {
        protected override  void OnApplyTemplate()
        {
            // Canvas.ZIndexProperty is set to SeriesAnnotationCanvas
            (GetTemplateChild("Part_SeriesAnnotationCanvas") as Canvas).SetValue(Canvas.ZIndexProperty, -1);
            base.OnApplyTemplate();
        }
    }
}
